config/routes.rb
require 'sidekiq/web'
require 'sidekiq/cron/web'

Rails.application.routes.draw do
  root 'pages#index'
  post 'send' => 'pages#create'
  get 'about' => 'pages#about'

  get 'gallery' => 'images#index'
  resources :images, except: [:index]

  resources :messages, except: [:show]
  get 'message' => 'messages#show', as: :show_message

  resources :slides, except: [:show]
  resources :announcements, :path => 'ans'
  resources :subscribers, only: [:create]
  get 'subs/:id' => 'subscribers#destroy', as: :subs_destroy

  get 'hashmin/login' => 'sessions#new', as: :login
  post 'hashmin/login' => 'sessions#create'
  get 'hashmin/logout' => 'sessions#destroy', as: :logout
  get 'hashmin/:id' => 'admins#index', as: :admin
  resources :admins, except: [:show], path: 'hashmin'

  resources :password_resets, only: [:new, :create, :edit, :update]

  mount Sidekiq::Web => '/sidekiq'

end

app/views/layouts/_footer.html.haml
#footer
  %h4 Design by naude ( wearenaude@yahoo.com )

app/views/layouts/_header.html.haml
#header.cf
  %a#logo{href: "/"} BBCM
  #nav
    %i.fa.fa-bars#menuBtn
    #social
      %a{:href => "https://www.facebook.com/Thebbcm-1772707156285316/", :target => "_blank"}
        %i.fa.fa-facebook-square
      %a{:href => "https://twitter.com/bbcm_church", :target => "_blank"}
        %i.fa.fa-twitter-square
      %a{:href => "#", :target => "_blank"}
        %i.fa.fa-google-plus-square
    #links
      %span= link_to 'About', about_path, class: "#{'current' if action?('about')}"
      %span= link_to 'Gallery', gallery_path, class: "#{'current' if controller?('images')}"
      %span= link_to 'Messages', messages_path, class: "#{'current' if controller?('messages')}"
      %span= link_to 'Announcements', announcements_path, class: "#{'current' if controller?('announcements')}"

app/views/layouts/_topBar.html.haml
= link_to "New Image", new_image_path
%br/
= link_to "New Message", new_message_path
%br/
= link_to "Slides", slides_path
%br/
= link_to "New Slide", new_slide_path
%br/
= link_to "New Announcement", new_announcement_path
%br/
= link_to "Admin Page", admins_path
%br/
= link_to "Add Admin", new_admin_path
%br/
= link_to "Edit Admin", edit_admin_path(current_admin)
%br/
= link_to "Logout", logout_path, data: {confirm: "Are you sure."}

app/views/layouts/application.html.haml
!!!
%html
  %head
    %meta{:content => "text/html; charset=UTF-8", "http-equiv" => "Content-Type"}/
    %title
      = title_er
      BBCM
    = stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track' => true
    = javascript_include_tag 'application', 'data-turbolinks-track' => true
    %meta{:content => "width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no", :name => "viewport"}/
    = csrf_meta_tags
  %body
    = render 'layouts/header'
    #flash
      - flash.each do |type, msg|
        %p{:class => type}
          = msg
    - if logged_in?
      #topCont
        = content_tag :div, render('layouts/topBar'), id: "topBar"

    = yield
    = render 'layouts/footer'
    #modal
      %i.fa.fa-times
      #modalCont